/**
 * 农村居民收入与支出js
 */
$(function(){
	var orgid = localStorage.getItem(getQueryVariable("JSONID")+"orgid");
	if(orgid.length>2){
		$("#addBtn").show();
		$("#xd").show();
	}else{
		$("#sd").show();
	}
	loadYears("year","nyzb_ydhxh")
	loadYears("baseyear")
	initTable();
})
/**
 * 新增录入
 */
function addBtn(){
	$("#hiddenid").val("");
	$("#ncydl").val("");
	$("#nyslbm").val("");
	$("#df").val("");
	$("#lf").val("");
	$("#jf").val("");
	$("#fhf").val("");
	$("#baseModal").modal("show");
}
/**
 * 编辑修改
 */
function edit(id){
	var rowdata = jQuery("#table_list_1").jqGrid("getRowData", id);
	$("#hiddenid").val(id);
	$("#baseyear").val(rowdata.year)
	$("#ncydl").val(rowdata.ncydl);
	$("#nyslbm").val(rowdata.nyslbm);
	$("#df").val(rowdata.df);
	$("#lf").val(rowdata.lf);
	$("#jf").val(rowdata.jf);
	$("#fhf").val(rowdata.fhf);
	$("#baseModal").modal("show");
}

/**
 * 保存信息
 */
function saveBtn(){
	var id = $("#hiddenid").val();
	var year = $("#baseyear").val();
	var flag = true;
	$("input[name=money]").each(function(i,item){
		var value = item.value;
		if(value!=""&&!moneycheck.test(value)){
			flag = false;
			showModal("请输入正确的"+item.getAttribute("data-name")+"数字")
			return;
		}
	})  
	if(!flag){
		return;
	}
	var ncydl = $("#ncydl").val()==""?"0":$("#ncydl").val();
	var nyslbm = $("#nyslbm").val()==""?"0":$("#nyslbm").val();
	var df = $("#df").val()==""?"0":$("#df").val();
	var lf = $("#lf").val()==""?"0":$("#lf").val();
	var jf = $("#jf").val()==""?"0":$("#jf").val();
	var fhf = $("#fhf").val()==""?"0":$("#fhf").val();
	var nyhfsyl = parseFloat(df)+ parseFloat(lf)+ parseFloat(jf)+ parseFloat(fhf)
	$.ajax({
		type:"Post",
		url:"../ydhxh/saveRecord.service",
		data:{ 
			id:id,
			year:year,
			ncydl:ncydl,
			nyslbm:nyslbm,
			df:df,
			lf:lf,
			jf:jf,
			fhf:fhf,
			nyhfsyl:nyhfsyl
		},
		dataType:"json",
		success:function(data){
			if(data.success=="true"){
				if(id==""){
					loadYears("year","nyzb_ydhxh")
				}
				$("#baseModal").modal("hide");
				showModal(data.message);
				reLoadTable();
			}else{
				showModal(data.message);
				return;
			}
		}
	});
}
/**
 * 删除信息
 */
function deleteInfo(id){
	modalComfirm("确定删除该条信息吗",function(res){
		if(res){
			$.ajax({
				type:"Post",
				url:"../ydhxh/deleteRecord.service",
				data:{ 
					id:id
				},
				dataType:"json",
				success:function(data){
					if(data.success=="true"){
						showModal(data.message);
						reLoadTable();
					}else{
						showModal(data.message);
						return;
					}
				}
			});
		}
	})
}

/* 重新加载表格 */
function reLoadTable() {
	$("#table_list_1").jqGrid('setGridParam', {
		url : "../ydhxh/getRecordList.service",
		postData : {
			'year' : $("#year").val()
		}, //发送数据 
		page : 1
	}).trigger("reloadGrid"); //重新载入  
}
	
/* 初始化表格 */
function initTable() {
	$.jgrid.defaults.styleUI = 'Bootstrap';
	$("#table_list_1").jqGrid({
		url : "../ydhxh/getRecordList.service",
		loadBeforeSend: function(xhr){
			xhr.setRequestHeader("token",getQueryVariable("JSONID"));
        },
		datatype : "json",
		height : 500,
		autowidth : true,
		shrinkToFit : true,
		rowNum : 50,
		rowList : [ 50, 100, 150 ],
		jsonReader : {
			root : "list",
			page : "currPage",
			total : "totalpages", //   很重要 定义了 后台分页参数的名字。
			records : "count",
			repeatitems : false,
			id : "id"
		},
		colNames : [ '操作', '部门','年度','农村用电量(万千瓦时)','农用化肥施用量(万吨)','氮肥(万吨)','磷肥(万吨)','钾肥(万吨)','复合肥(万吨)','农用塑料薄膜使用量(吨)','1'],
		colModel : [
			{  name : 'caozuo',width: 50,align:'center',formatter :cLink,sortable:false },
			{  name : 'orgname',index : 'orgname',width: 80,sortable:false},
			{  name : 'year',index : 'year',width: 80,sortable:false},
			{  name : 'ncydl',index : 'ncydl',width: 200,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'nyhfsyl',index : 'nyhfsyl',width: 200,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'df',index : 'df',width: 80,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'lf',index : 'lf',width: 80,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'jf',index : 'jf',width: 80,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'fhf',index : 'fhf',width: 80,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'nyslbm',index : 'nyslbm',width: 200,sortable:false,formatter:function(c,p,o){if(c==0){return ""}else{return c}}},
			{  name : 'orgid',index : 'orgid',width: 140,sortable:false,hidden:true}
		],
		pager : "#pager_list_1",
		viewrecords : true,
		multiselect : false,
		caption : "",
		hidegrid : false
	});
	$(window).bind('resize', function() {
		var width = $('.jqGrid_wrapper').width();
		$('#table_list_1').setGridWidth(width);
	});
}

/* 表格操作事件 */
function cLink(cellvalue, options, rowObject){  
	return "<a title='编辑' onclick='edit(\"" + options.rowId + "\")'><span  class='glyphicon glyphicon-pencil'></span></a>&nbsp&nbsp<a title='删除' onclick='deleteInfo(\""+options.rowId+"\")'><span style='color:red' class='glyphicon glyphicon-remove'></span></a>";
}

/**
 * 导出
 */
function exportData(){
	$.ajax({
		type : "post",
		url : "../ydhxh/exprotRecord.service",
		data : {
			'year':$("#year").val()
		},
		dataType : "json",
		success : function(data) {
			if (data.success == "true") {
				showModal("导出成功:<a href='../" + data.data + "'>点击下载</a>");
			} else {
				showModal(data.message);
			}
		}
	});
}
/**
 * 导入
 */
function showImport(){
	$("#fileElement").val('');
	$('#modalImport').modal("show");
}
/**
 * 导入文件
 */
function importData() {
	var form = new FormData(document.getElementById("fom")); //获取from表单
	var fileElement = $("#fileElement").val();
	if (fileElement == "") {
		showModal("请选择导入文件"); //提示框
		return;
	}
	$('#modalImport').modal("hide");
	$.ajax({
		type : "Post",
		url : "../ydhxh/importData.service",
		data : form,
		processData : false,
		contentType : false,
		dataType : "json",
		success : function(data) {
			showModal(data.message);
			if (data.success == "true") {
				reLoadTable();
			}
		}
	});
}